Subject: [Fwd: Re: IBIS BIRD67.1 - Increase V-T Table 100 Point Limit]

From: Scott McMorrow <[email-masked]>
Date: Fri, 03 Nov 2000 21:47:15 -0800

Al,

>
> However, in most cases the existing 100, or even 30, is plenty of
> points.  Accuracy is limited elsewhere.
>

True for poorly constructed models.  However, at SiQual we have
shown that with 100 total waveform tables points worst case
accuracy is limited to about 94% of the original HSpice.  We have also
shown that with enough waveform table points IBIS models can
have better than 99% accuracy.

>
> Many models have only one waveform of each type, which is measured
> with a particular load.  Even if the measurement is highly accurate
> with that load, the waveform is only a guess with any other load.
> Therefore, accuracy can be better by supplying additional waveforms
> with diffrerent loads, or loads to different reference voltages.
> This is true in the extreme with differential drivers, where the only
> correct load is the differential one, with the other end connected to
> the other side's driver.

Although only one set of waveform tables at one operating point
may seem like an accuracy issue.  In reality, most CMOS devices are
quite linear and predictable.  The waveform tables scale quite
nicely with little <1% loss in overall accuracy.

>
>
> Another issue is proper choice of the time points.  Many have 100
> points, but all of the action is in 3 points.  First, there are too
> few points in the action region.  Second, and as important, data in
> the nearly steady region is often contaminated by noise or limited by
> numeric granularity.
>
> Consider ......
> 0    0.22
> 1n  0.22
> 2n  0.22
> 3n  0.22
> 4n  0.23
> 5n  0.23
> 6n  0.23
> 7n  0.23
> 8n  0.24
> 9n  0.24
>
> You might naively interpret this to mean the voltage is increasing
> slowly.  What the data says is that it remains constant until 4ns,
> then jumps , remaining constant again until 8ns, jumping again.  If
> this is driving a capacitor, you get a current spike at 4ns and 8ns,
> with no current elsewhere.
>
> But, likely the intent is that the voltage is increasing slowly.
> Accuracy is actually improved by removing points, in this case giving
> only 0, 4n, and 8n.

Interesting, but you are assuming some sort of interpolation technique
between points.  This is not defined in the specification.  Interpolation
or not to interpolate is left as an implementation decision. HSpice,
as one example, does not interpolate between points.  It reproduces
exactly what is given.

The issue you bring up is better resolved by higher precision in
the tables.  What you show is a definite problem with the original
s2ibis2 code, where all data tables were limited to 2 decimal digits
of precision.  I personally fixed this code and supplied the source
files as s2ibis2fix over 2  1/2 years ago.  Yet to this day I still see
ibis models extracted with the original code.

Your point is well taken regarding what portion of a curve to
extract.  We take extreme care to extract only the salient portions
of the rising and falling waveform tables, in order to maximize
the accuracy of the captured data within the context of a
limited number of points.  Yet, even with more points, it will
still be possible to extract with low precision and with
additional points in uninteresting areas of the curve.

best regards,

scott
--
Scott McMorrow
Principal Engineer
SiQual, Signal Quality Engineering
18735 SW Boones Ferry Road
Tualatin, OR  97062-3090
(503) 885-1231
http://www.siqual.com